Create Sourcing Session
POST /sourcing-session
Creates a new sourcing session and triggers the initial profile search.
Headers
Body
queries object — filter shape
Each filter is { type, value }:
value accepts array of strings
For skills filter, at least one skill must be provided in mandatory, core, or secondary.
-
country_region — { type: "(.)", value: ["India"] } -
open_to_cards — { type: "=", value: ["CAREER_INTEREST"] } -
current_employers.title — { type: "IN", value: [ ".NET Developer", "C# Developer", "Software Engineer", "Web Developer", "Application Developer", "Backend Developer" ] } -
years_of_experience_raw — { type: "RANGE", value: [1, 5] } -
skills — { type: "IN", value: { mandatory: ["C#", ".NET Core"], core: [ "ASP.NET MVC", "Web API", "SQL Server", "Entity Framework", "React", "Angular", "Docker" ], secondary: [] } } -
current_employers.function_category — { type: "IN", value: ["Engineering"] } -
current_employers.seniority_level — { type: "IN", value: ["Senior"] } -
current_employers.name — { type: "IN", value: ["Tech Mahindra"] } -
current_employers.years_at_company — { type: "IN", value: ["1 to 2 years"] } -
region — { type: "IN", value: ["Pune, Maharashtra, India"] } -
all_employers.company_industries — { type: "IN", value: [ "Software Development", "IT System Custom Software Development", "Design Services" ] } -
education_background.institute_name — { type: "IN", value: ["University of Mumbai"] } -
education_background.field_of_study — { type: "IN", value: [ "Computer Science", "Information Technology", "related field" ] } -
education_background.degree_name — { type: "IN", value: ["BACHELORS"] } -
past_employers.name — { type: "IN", value: ["Infosys"] } -
past_employers.title — { type: "IN", value: ["Software Developer"] } -
current_employers.company_type — { type: "IN", value: ["Public Company"] } -
current_employers.company_hq_location — { type: "IN", value: ["Pune, Maharashtra, India"] } -
current_employers.description — { type: "IN", value: ["B2B Saas"] } -
funding_stage — { type: "IN", value: ["series_a"] } -
headcount_growth — { type: "RANGE", value: [10, 20] } -
current_employers.company_headcount_latest — { type: "RANGE", value: [10, 100] } -
annual_revenue — { type: "=", value: ["1_10"] } -
total_funding — { type: "=", value: ["1_10"] } -
year_founded — { type: "RANGE", value: [2000, 2010] } -
recently_funded — { type: "=", value: ["6m"] } -
certifications.name — { type: "IN", value: ["AWS Certified Cloud Practitioner"] } -
honors.title — { type: "IN", value: ["Dean's list"] } -
geo_distance — { type: "=", value: ["50_km"] } -
current_employers.employment_type — { type: "IN", value: ["Part-time", "Permanent"] } -
current_employers.company_headcount_range — { type: "IN", value: ["51-200"] }
Response (200)
The created session object.
cURL
Replace fjk_YOUR_API_KEY_HERE with your actual key, then paste and run:
Errors
-
400 Bad Request— validation failed (missing/invalid fields). -
401 Unauthorized— invalid API key. -
402 Payment Required— insufficient workspace credits.